<table class="table table-bordered">
    <thead>
        <tr>
            <th scope="col">N°</th>
            <th scope="col">Nom 1</th>
            <th scope="col">Nom 2</th>
            <th scope="col" *ngIf="groupsTab.length > 0 && groupsTab[0][2]">Nom 3</th>
            <th scope="col" *ngIf="groupsTab.length > 0 && groupsTab[0][3]">Nom 4</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let name of groupsTab; let index = index;">
            <td>{{ index + 1 }}</td>
            <td>{{ name[0] }}</td>
            <td>{{ name[1] }}</td>
            <td *ngIf="name[2]">{{ name[2] }}</td>
            <td *ngIf="name[3]">{{ name[3] }}</td>
        </tr>
        <tr *ngIf="groupsTab.length>0">
            <td colspan="3">
            <form (ngSubmit)="onFormSubmit(userForm)" #userForm="ngForm" id="description">
                <div class="input-group mb-3">
                    <input [(ngModel)]="addCommentValue" type="text" class="form-control" placeholder="Description"
                        aria-label="Description" aria-describedby="button-addon2" name="comment">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary" type="submit">Enregistrer</button>
                    </div>
                </div>
            </form>
            </td>
        </tr>
    </tbody>
</table>